# Gridlock - a collection of grid-based strategy games
# Copyright (c) 2009 Brian Nenninger (brian@dozingcatsoftware.com)
# Gridlock comes with ABSOLUTELY NO WARRANTY, and is released under version 3 of the GNU GPL.

import os

# This script automates building a .qpp bundle with all necessary dependencies, including
# Python 2.6, PyOpenGL, wxPython, Numpy, and simplejson. The resulting .app will work on 10.4.
# See setup_osx.py for details.

os.system("rm -rf build dist")
os.system("python setup_osx.py py2app")
# remove unneeded .py files in OpenGL/numpy
os.system("find dist/Gridlock.app/Contents/Resources/lib/python2.6/OpenGL -name '*.py' | xargs rm")
os.system("find dist/Gridlock.app/Contents/Resources/lib/python2.6/numpy -name '*.py' | xargs rm")